import sys
import module.resources

from PySide6.QtWidgets import QApplication

from ui.main import MainWindow
from utils.function import DEVELOPMENT_ENV

if __name__ == '__main__':
    if DEVELOPMENT_ENV:
        import pyi_splash

        pyi_splash.update_text('正在启动...')

    app = QApplication(sys.argv)
    window = MainWindow()
    window.show()
    sys.exit(app.exec())
